HttpResponse::setContentDisposition
HttpResponse::setData
HttpResponse
PHP Manual

# HttpResponse::setContentType

(PECL pecl_http >= 0.10.0)

HttpResponse::setContentType — Set content type

### Description

static bool HttpResponse::setContentType ( string `$content_type` )

Set the Content-Type of the sent entity.

### Parameters

`content_type`

  the content type of the sent entity (primary/secondary)

### Return Values

Returns `TRUE` on success, or `FALSE` if the content type does not seem to contain a primary and secondary content type part.

### See Also

- HttpResponse::getContentDisposition() - Get content disposition
- HttpResponse::setContentDisposition() - Set content disposition
- HttpResponse::getContentType() - Get content type
- HttpResponse::guessContentType() - Guess content type

HttpResponse::setContentDisposition
HttpResponse::setData
HttpResponse
PHP Manual